# $Revision: 1.24 $, $Date: 2008-01-31 12:16:49 $
%include	/usr/lib/rpm/macros.php
%define		_class		Numbers
%define		_subclass	Roman
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - converting to and from Roman numerals
Summary(pl.UTF-8):	%{_pearname} - konwersja z i do cyfr rzymskich
Name:		php-pear-%{_pearname}
Version:	1.0.2
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	015e9d283ccf698be6a0247c57a96fc6
URL:		http://pear.php.net/package/Numbers_Roman/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A class for converting to and from Roman numerals.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa do konwersji z i do cyfr rzymskich.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

# pear/tests/pearname/tests -> pear/tests/pearname
mv ./%{php_pear_dir}/tests/%{_pearname}/{tests/*,}
rmdir ./%{php_pear_dir}/tests/%{_pearname}/tests

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Numbers_Roman.spec,v $
Revision 1.24  2008-01-31 12:16:49  glen
- rel 3

Revision 1.23  2007-11-19 13:02:19  glen
- rel 2

Revision 1.22  2007-11-15 00:26:52  glen
- 1.0.2-stable

Revision 1.21  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.19  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.18  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.17  2005/10/30 22:43:53  glen
- Numbers dir is owned by php-pear package

Revision 1.16  2005/10/05 20:59:32  glen
- rel 3

Revision 1.15  2005/09/29 00:42:53  glen
- new pear packaging

Revision 1.14  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.13  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.12  2004/05/01 17:35:08  adamg
- updated to 1.0.1
- status changed to beta

Revision 1.11  2004/03/17 22:14:12  adamg
- added missing status information

Revision 1.10  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.9  2004/02/26 15:48:10  adamg
- updated to 0.1.1

Revision 1.8  2003/10/07 20:56:03  adamg
- do not use macros in URL

Revision 1.7  2003/10/06 14:11:21  adamg
- move package.xml where it should be (I will need that file soon)

Revision 1.6  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.5  2003/05/28 08:58:47  adamg
- massive attack: added source0-md5

Revision 1.4  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/10/14 23:50:21  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.2  2002/09/18 10:57:39  blues
- fix in macros

Revision 1.1  2002/07/17 13:40:41  blues
- initial release
